<?php

class logout_redirect extends rcube_plugin {
  private $app;

  function init() {
    $this->app    = rcmail::get_instance();
    $this->add_hook('logout_after', array($this, 'logout_redirect'));
    $this->add_hook('login_failed', array($this, 'login_failed'));
  }

  function get_config() {
    $this->load_config('config/config.inc.php');

    return array(
    'redirect_to_url'  => $this->app->config->get('redirect_to_url'),
    'msg_login_failed' => $this->app->config->get('msg_login_failed'),
    );
  }

  function logout_redirect($p) {
    extract($this->get_config());

    if ($redirect_to_url) {
      header('Location: '.$redirect_to_url, true, 302);
      die();
    }
  }

  function login_failed($p) {
    extract($this->get_config());

    if ($redirect_to_url && $msg_login_failed) {
      $msg=sprintf($msg_login_failed, $p['user']);
      echo "<script language='javascript'>alert('".$msg."'); window.location.href = '".$redirect_to_url."';</script>";
      die();
    }
  }
}
